3/13/2007

Ruby 1.8.6 Release:要升級請三思

Ruby 1.8.6 Release了,想看詳細情形,或是下載 Source 請看這裡。根據 fixneo 先生的提醒,我花了時間去找了一下 Bug Report ,發現到這篇文章。裡面寫到 Time.to_date 跟 MD5.new 會出現問題。不過這些 Bug 會在 Rails 1.2.3 做修正,也就是應該是 Rails 的問題?

隔天早上,Rails Team 也立刻發表了 Rails 1.2.3,所以要升級 Ruby 1.8.6也請順便升級 Rails 1.2.3。

1 則留言:

fixneo 提到...

Ruby 1.8.6 preview 1和2 都和rails有冲突。ActiveSupport的to_date方法调用会有错误,估计还有其他bug。relese就没有试验过了,不想当小白鼠了,我吃过一次苦头了详细看http://blog.fixneo.com/?p=6